\renewcommand{\subsection}[1][]{%
	\addtocounter{subsection}{1}%
	\medskip%
	\textbf{\arabic{chapter}.\arabic{section}.\arabic{subsection}}%
	\ifthenelse{\isempty{#1}}{}{ (#1)}%
	\textbf{.}%
	\xspace%
}

\theoremstyle{plain}
\newtheorem{theorem}[subsection]{Teorema}
\newtheorem{proposition}[subsection]{Proposizione}
\newtheorem{corollary}[subsection]{Corollario}
\newtheorem{lemma}[subsection]{Lemma}
\newtheorem{observation}[subsection]{Osservazione}

\newtheorem*{theorem*}{Teorema}
\newtheorem*{lemma*}{Lemma}

\def\restriction#1#2{\mathchoice
              {\setbox1\hbox{${\displaystyle #1}_{\scriptstyle #2}$}
              \restrictionaux{#1}{#2}}
              {\setbox1\hbox{${\textstyle #1}_{\scriptstyle #2}$}
              \restrictionaux{#1}{#2}}
              {\setbox1\hbox{${\scriptstyle #1}_{\scriptscriptstyle #2}$}
              \restrictionaux{#1}{#2}}
              {\setbox1\hbox{${\scriptscriptstyle #1}_{\scriptscriptstyle #2}$}
              \restrictionaux{#1}{#2}}}
\def\restrictionaux#1#2{{#1\,\smash{\vrule height 1.0\ht1 depth 0.85\dp1}}_{\,#2}}
\def\virg#1{``#1''}

\DeclareRobustCommand{\vect}[1]{
  \ifcat#1\relax
    \boldsymbol{#1}
  \else
    \mathbf{#1}
  \fi}
\def\as#1#2{\prescript{#1}{}{#2}}

\theoremstyle{definition}
\newtheorem{definition}[subsection]{Definizione}
\newtheorem{example}[subsection]{Esempio}

\theoremstyle{remark}
\newtheorem*{remark}{Osservazione}

\DeclareMathOperator\Ext{Ext}
\DeclareMathOperator\Span{span}
\DeclareMathOperator\Rep{Rep}
\DeclareMathOperator\Id{Id}
\DeclareMathOperator\ind{ind}
\DeclareMathOperator\Hom{Hom}
\DeclareMathOperator\Ker{Ker}
\DeclareMathOperator\Coker{Coker}
\DeclareMathOperator\Img{Im}
\DeclareMathOperator\Ad{ad}
\DeclareMathOperator\Aut{Aut}
\DeclareMathOperator\Gal{Gal}
\DeclareMathOperator\End{End}
\DeclareMathOperator\Der{Der}
\DeclareMathOperator\GL{GL}
\DeclareMathOperator\SL{SL}
\DeclareMathOperator\Tr{Tr}
\DeclareMathOperator\Char{char}
\DeclareMathOperator\Supp{supp}
\DeclareMathOperator\Fr{Fr}
\DeclareMathOperator\Lcm{lcm}
\DeclareMathOperator{\Spec}{Spec}
\DeclareMathOperator{\Repr}{Rep}

\newcommand{\Ab}{\mathbb{A}}
\newcommand{\Fbb}{\overline{\Fb}}
\newcommand{\eps}{\bm{\varepsilon}}
\newcommand{\Cb}{\mathbb{C}}
\newcommand{\Db}{\mathbb{D}}
\newcommand{\Gb}{\mathbb{G}}
\newcommand{\Nb}{\mathbb{N}}
\newcommand{\Pb}{\mathbb{P}}
\newcommand{\Qb}{\mathbb{Q}}
\newcommand{\Rb}{\mathbb{R}}
\newcommand{\Zb}{\mathbb{Z}}
\newcommand{\Fb}{\mathbb{F}}
\newcommand{\Fqq}{\overline{\Fb}_q}
\newcommand{\Fpp}{\overline{\Fb}_p}
\newcommand{\Qbb}{\overline{\Qb}}

\newcommand{\GLb}{\mathbf{GL}}
\newcommand{\SLb}{\mathbf{SL}}
\newcommand{\PSLb}{\mathbf{PSL}}
\newcommand{\Ub}{\mathbf{U}}
\newcommand{\Eb}{\mathbb{E}}

\newcommand{\Dc}{\mathcal{D}}
\newcommand{\Oc}{\mathcal{O}}
\newcommand{\Wc}{\mathcal{W}}

\renewcommand{\bf}{\mathfrak{b}}
\newcommand{\df}{\mathfrak{d}}
\newcommand{\gf}{\mathfrak{g}}
\newcommand{\hf}{\mathfrak{h}}
\newcommand{\kf}{\mathfrak{k}}
\newcommand{\tf}{\mathfrak{t}}
\newcommand{\zf}{\mathfrak{z}}
\newcommand{\nf}{\mathfrak{n}}
\newcommand{\Ac}{\mathcal{A}}
\newcommand{\Ic}{\mathcal{I}}
\newcommand{\Acc}{\widetilde{\mathcal{A}}}
\newcommand{\Icc}{\widetilde{\Ic}}
\newcommand{\mf}{\mathfrak{m}}
\newcommand{\glf}{\mathfrak{gl}}
\newcommand{\Os}{\mathscr{O}}
\newcommand{\verteq}{\rotatebox{90}{$\,=$}}
\newcommand{\equalto}[2]{\underset{\scriptstyle\overset{\mkern4mu\verteq}{#2}}{#1}}

\newcommand{\ee}{è}
\newcommand{\oo}{ò}
\newcommand{\aaa}{à}